﻿import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import {
    ConatinerNodeModel, NodeLinkModel,
    ShapeNodeModel, ShapeNodeDataModel, NodeAttributeModel, NodeSizeEnum, DiagramModel
} from '../index';

@Component({
  selector: 'app-about',
  templateUrl: './about.component.html',
  styleUrls: ['./about.component.css']
})
export class AboutComponent implements OnInit {

    graphData: DiagramModel;
    containerNode: ConatinerNodeModel[] = [];
    nodeLinks: NodeLinkModel[] = [];

    getProjectNodeAttributes(): NodeAttributeModel {
        const nodeattrribute = new NodeAttributeModel();

        nodeattrribute.headingColor = '#2882A0';
        nodeattrribute.type = NodeSizeEnum.SMALL;

        return nodeattrribute;
    }
    constructor(private _router: Router) { }

    ngOnInit() {
        let rows: ShapeNodeModel[] = [];
        for (let j = 11; j < 15; j++) {
            let cols: ShapeNodeDataModel[] = [];
            for (let k = 7; k < 10; k++) {
                let data: ShapeNodeDataModel = new ShapeNodeDataModel('test' + k, '', 'red', '\home');
                cols.push(data);
            }
            let childNode: ShapeNodeModel = new ShapeNodeModel(j, cols);
            rows.push(childNode);
        }
        for (let i = 0; i < 5; i++) {
            let node: ConatinerNodeModel = new ConatinerNodeModel(i, 'Test' + i, rows, 'test link' + i);
            this.containerNode.push(node);
        }
        for (let i = 1; i < 5; i++) {
            let link: NodeLinkModel = new NodeLinkModel(0, i);
            this.nodeLinks.push(link);
        }
        this.graphData = new DiagramModel(this.containerNode, this.nodeLinks, this.getProjectNodeAttributes());
    }
    click(event) {
        this._router.navigateByUrl('home');
    }
    onDragStartEvent(event) {
        console.log(event);

    }
    onDragEnterEvent(event) {
        console.log(event);

    }
    onDragOverEvent(event) {
        console.log(event);

    }
    onDropEvent(event) {
        console.log(event);

    }

}
