import { NodeSizeEnum } from '../../index';

export class NodeAttributeModel {
    /** NodeType Enum*/
    type: NodeSizeEnum;
    /** Heading Text shown on Node*/
    headingText: string;
    /** Bar color*/
    barColor = '#2882A0';
    /** Heading Color*/
    headingColor: string;
    /** Support heading text shown on Node*/
    headingSupportText: string;
    /** Support text color */
    supportTextcolor: string;
    /** Url of the image that should be shown in node*/
    imageUrl: string;
    /** background color of node*/
    backgroundColor = '#FFFFFF';
    /** Shadow color*/
    shadowColor: string;
    /** to handle foldable container set an id for it*/
    foldableID: string;
    /**Show image circular */
    isCircularImage: boolean;
    /** set pen color */
    penColor = '#FFFFFF';
    /** set brush color */
    brushColor = '#FFFFFF';
    /** set font name */
    fontName = 'sans-serif';
    /** set font size */
    fontSize = 4;
    /**In-coming link image path*/
    outgoingLinkImg = '';
    /**out-going link image path*/
    incomingLinkImg = '';
    /**In-coming links */
    outgoingLinks = 0;
    /**out-going links */
    incomingLinks = 0;
    /**Show incoming and outgoing links*/
    showIncomingOutgoingLink = true;
    /** Collapsible Button Size*/
    collapsibleButtonSize = 5;
    /**Pdf file name */
    pfdFilename = 'Test.pdf';
    /** Height of Node*/
    height: number;
    /** width of Node*/
    width: number;
    constructor() { }

    inherit(nodeAttribute: NodeAttributeModel) {
        this.backgroundColor = nodeAttribute.backgroundColor;
        this.foldableID = nodeAttribute.foldableID;
        this.fontName = nodeAttribute.fontName;
        this.fontSize = nodeAttribute.fontSize;
        this.penColor = nodeAttribute.penColor;
        this.barColor = nodeAttribute.barColor;
        this.width = nodeAttribute.width;
        this.height = nodeAttribute.height;
        this.headingColor = nodeAttribute.headingColor;
        this.supportTextcolor = nodeAttribute.supportTextcolor;
        this.imageUrl = nodeAttribute.imageUrl;
        this.isCircularImage = nodeAttribute.isCircularImage;
        this.type = nodeAttribute.type;
        this.outgoingLinkImg = nodeAttribute.outgoingLinkImg;
        this.incomingLinkImg = nodeAttribute.incomingLinkImg;
        this.showIncomingOutgoingLink = nodeAttribute.showIncomingOutgoingLink;
        this.collapsibleButtonSize = nodeAttribute.collapsibleButtonSize;
    }
}
